AlgoSeek

List api keys

Retrieves the list of API keys associated with this account

GET 

https://api.devalgoseek.com/api/v1/account/my/api-keys#

Retrieves the list of API keys associated with this account

Responses#

Successful Response

Schema
  • Array [
  • namestring

    User-provided name identifier for the API key.

    Example: My Production Key
    referencestringrequired

    Last four characters of the API key value, used for identification.

    Example: ab1C
    person objectrequired

    Details of the person who owns the API key.

    first_namestringrequired

    First name of the person who owns the API key.

    Example: John
    last_namestringrequired

    Last name of the person who owns the API key.

    Example: Doe
    emailstringrequired

    Email address of the person who owns the API key.

    Example: john.doe@example.com
    last_used_atdate-time

    Timestamp of the last time the API key was used.

    Example: 2026-04-01T12:30:00Z
    expires_atdate-timerequired

    Expiration timestamp after which the API key can no longer be used.

    Example: 2027-04-07T00:00:00Z
    is_activebooleanrequired

    Whether the API key is currently active and can be used for authentication.

    Example: true
  • ]

Authorization: X-API-KEY#

name: X-API-KEYtype: apiKeyin: header
var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Get, "https://api.devalgoseek.com/api/v1/account/my/api-keys");
request.Headers.Add("Accept", "application/json");
request.Headers.Add("X-API-KEY", "<X-API-KEY>");
var response = await client.SendAsync(request);
response.EnsureSuccessStatusCode();
Console.WriteLine(await response.Content.ReadAsStringAsync());
Request
Base URL
https://api.devalgoseek.com
Auth
Response

Click the Send API Request button above and see the response here!